#version 330 core
in vec2 TexCoords;
// out vec4 color;
layout (location = 0)  out vec4 color;
layout (location = 1)  out vec4 bright;


uniform sampler2D text;
uniform vec3 textColor;

void main()
{    
    vec4 sampled = vec4(1.0, 1.0, 1.0, texture(text, TexCoords).r);
    color = vec4(textColor, 1.0) * sampled;

	bright = vec4(0.0f);
}  